Subject: TX - National Wildflower Research Center at NEW LOCATION April 8th

From: [email-masked] (Gary Lipe)
Date: 29 Mar 1995 18:48:17 GMT

The National Wildflower Research Center will move to their new location at 
4801 La Crosse Blvd, Austin Texas (512) 292-4100 on April 8th.  Hours are Tues 
- Sat 9:00 am to 5:30 pm and Sunday 1 pm to 5:30 pm.  The center was founded by 

Lady Bird Johnson in 1982.

I visited them at their old location and this is a real vacation stop for the 
entire family.

If you know of any other wildflower sites or information about wildflowers on 
the WWW please send Email to:

Gary Lipe
[email-masked]